#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int x[100005];
int y[100005];
int z[100005];
int p[100005];
int zp[100005];
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n;
    cin>>n;
    for(int i=1;i<=n;i++){
        cin>>x[i];
    }
    for(int i=1;i<=n;i++){
        cin>>y[i];
    }
    for(int i=1;i<=n;i++){
        cin>>z[i];
        zp[z[i]]++;
    }
    for(int i=1;i<=n;i++){
        p[y[i]]+=zp[i];
    }
    int br=0;
    for(int i=1;i<=n;i++){
        br+=p[x[i]];
    }
    cout<<br<<endl;
    return 0;
}